<script>
import Layout from '@layouts/main'
import store from "@state/store";
import CandidateShow from "@components/candidate/candidate-show";
import CompanyShow from "@components/company/company-show";
import Loader from "@components/utils/loader";

export default {
  page: {
    title: 'Mon profil',
  },
  components: { Layout, CandidateShow, CompanyShow, Loader },
  data() {
    return {
      title : 'Mon profil',
      user: null,
      optionsUserShow : {
        canEdit : true
      }
    }
  },
  mounted() {
    this.getUser()
  },
  methods : {
    async getUser() {
      this.user = await this.$store.dispatch('user/getUser', { user_id: store.state.auth.currentUser.user.id })
    }
  }
}
</script>

<template>
  <Layout :title="title">
    <candidate-show v-if="user && user.isCandidate()" :candidate="user" :options="optionsUserShow"></candidate-show>
    <company-show v-if="user && user.isCompany()" :company="user" :options="optionsUserShow"></company-show>
    <loader class="mt-5" v-if="!user"></loader>
  </Layout>
</template>
